Public Member Functions | Public Attributes | Friends | List of all members
WriterPlsParserInternal::WindowsInfo::Zone Struct Reference

## Public Member Functions
| Zone ()
bool | empty () const

## Public Attributes
int | m_number
int | m_size
int | m_width
int | m_unknown [3]

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &z)

## Constructor & Destructor Documentation

## ◆ Zone()

WriterPlsParserInternal::WindowsInfo::Zone::Zone | ( |  | ) |
| inline

## Member Function Documentation

## ◆ empty()

bool WriterPlsParserInternal::WindowsInfo::Zone::empty | ( |  | ) | const
| inline

Referenced by WriterPlsParserInternal::operator<<().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | z
| ) |  |
| friend

## Member Data Documentation

## ◆ m_number

int WriterPlsParserInternal::WindowsInfo::Zone::m_number

Referenced by WriterPlsParser::readColInfo(), WriterPlsParser::readPageInfo(), WriterPlsParser::readParagraphInfo(), WriterPlsParser::readWindowsInfo(), and WriterPlsParser::readWindowsZone().

## ◆ m_size

int WriterPlsParserInternal::WindowsInfo::Zone::m_size

Referenced by WriterPlsParser::readColInfo(), WriterPlsParser::readPageInfo(), WriterPlsParser::readParagraphInfo(), WriterPlsParser::readWindowsInfo(), and WriterPlsParser::readWindowsZone().

## ◆ m_unknown

int WriterPlsParserInternal::WindowsInfo::Zone::m_unknown[3]

Referenced by WriterPlsParser::readWindowsInfo().

## ◆ m_width

int WriterPlsParserInternal::WindowsInfo::Zone::m_width

Referenced by WriterPlsParser::readWindowsInfo().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx